org.eclipse.ease.ui

## Class Activator

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.ui.plugin.AbstractUIPlugin
    - - org.eclipse.ease.ui.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class Activator
    extends AbstractUIPlugin

### Field Summary

Fields
`static String` `ICON_FIELD`
`static String` `ICON_METHOD`
`static String` `PLUGIN_ID`

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`Activator()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`org.osgi.framework.BundleContext` `getContext()`
`static Activator` `getDefault()`
`static Image` `getImage(String bundleID, String path, boolean storeToImageRegistry)`
`static ImageDescriptor` `getImageDescriptor(String path)` Returns an image descriptor for the image file at the given plug-in relative path
`static ImageDescriptor` `getImageDescriptor(String bundleID, String path)`
`static ImageDescriptor` `getLocalImageDescriptor(String iconPath)`
`static Image` `getLocalPluginIconImage(String iconPath)`
`static Image` `getPluginIconImage(String pluginId, String iconPath)` This method returns an `org.eclipse.swt.graphics.Image` identified by its pluginId and iconPath.
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

`getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, shutdown, startup`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final String PLUGIN_ID

See Also:
  Constant Field Values

#### ICON_FIELD

    public static final String ICON_FIELD

See Also:
  Constant Field Values

#### ICON_METHOD

    public static final String ICON_METHOD

See Also:
  Constant Field Values

### Constructor Detail

#### Activator

    public Activator()

### Method Detail

#### getDefault

    public static Activator getDefault()

#### start

    public void start(org.osgi.framework.BundleContext context)
               throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `AbstractUIPlugin`
Throws:
  `Exception`

#### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `AbstractUIPlugin`
Throws:
  `Exception`

#### getContext

    public org.osgi.framework.BundleContext getContext()

#### getImageDescriptor

    public static ImageDescriptor getImageDescriptor(String path)

Returns an image descriptor for the image file at the given plug-in relative path

Parameters:
  `path` - the path
Returns:
  the image descriptor

#### getImageDescriptor

    public static ImageDescriptor getImageDescriptor(String bundleID,
                                                     String path)

#### getImage

    public static Image getImage(String bundleID,
                                 String path,
                                 boolean storeToImageRegistry)

#### getPluginIconImage

    public static Image getPluginIconImage(String pluginId,
                                           String iconPath)

This method returns an `org.eclipse.swt.graphics.Image` identified by its pluginId and iconPath.

#### getLocalPluginIconImage

    public static Image getLocalPluginIconImage(String iconPath)

#### getLocalImageDescriptor

    public static ImageDescriptor getLocalImageDescriptor(String iconPath)